/*
 * To create a new level, create a C header like this one,
 * and add an #include entry for your level to levels.c
 *
 * */

/*
 * This is a simple example level.
 * A deathmatch level supporting up to 8 players, 
 * with walls bounding the level, as in classic Tron.
 * 
 * The following figure illustrates the worms' starting positions
 * for this level:
 *
 *         0     .25      .75     1   (x)
 *               w4       w6      
 * 0       ------------------------
 *         |                      |
 * .25  w0 |                      | w3
 *         |                      |
 *         |                      |
 * .75  w2 |                      | w1
 *         |                      |
 * 1       ------------------------
 *               w7       w5
 *(y)
 *
 *
 * See level.h for definitions of the structures involved.
 *
 *    struct worm_start_coordinates 	// filled in by you
 *    struct walls 			// filled in by you
 *    struct level_exit 		// filled in by you
 *    struct level			// auto-generated
 * */

/* These are the values for our example: */

#define NUM_WORMS 8
#define WORM_START_COORDINATES \
	/* w0 */ {0, 0.25, 1, 0, WORM_LOOKING_EAST}, \
	/* w1 */ {1, 0.75, -2, 0, WORM_LOOKING_WEST}, \
	/* w2 */ {0, 0.75, 1, 0, WORM_LOOKING_EAST}, \
	/* w3 */ {1, 0.25, -2, 0, WORM_LOOKING_WEST}, \
	/* w4 */ {0.25, 0, 0, 1, WORM_LOOKING_SOUTH}, \
	/* w5 */ {0.75, 1, 0, -2, WORM_LOOKING_NORTH}, \
	/* w6 */ {0.75, 0, 0, 1, WORM_LOOKING_SOUTH}, \
	/* w7 */ {0.25, 1, 0, -2, WORM_LOOKING_NORTH}

#define NUM_WALLS 4
#define WALLS \
	{0, 0, 1, WALL_HORIZONTAL}, /* top wall */ \
	{0, 1, 1, WALL_HORIZONTAL}, /* bottom wall */ \
	{0, 0, 1, WALL_VERTICAL},   /* left wall */ \
	{1, 0, 1, WALL_VERTICAL}    /* right wall */

#define LEVEL_EXIT LEVEL_NO_EXIT
